<template>
  <v-container>
    <training-selector :trainings="trainings" />
  </v-container>
</template>

<script>
import TrainingSelector from '~/components/TrainingSelector'
import { mapState } from 'vuex'

export default {
  components: {
    TrainingSelector,
  },

  computed: {
    ...mapState(['activities']),

    activity() {
      return this.activities[this.$route.params.activity]
    },

    trainings() {
      return this.activity.trainings
    },
  },

  head() {
    return {
      title: `${this.activity.name} − Horaires`,
    }
  },
}
</script>
